=== debian/changelog ===
ros-indigo-orientus-sdk-c (0.0.4-0trusty) trusty; urgency=high

  * Updated author and website
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Fri, 14 Nov 2014 05:00:00 -0000

ros-indigo-orientus-sdk-c (0.0.3-0trusty) trusty; urgency=high

  * Added website, issue tracker, and repository to package.xml
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Mon, 03 Nov 2014 05:00:00 -0000

ros-indigo-orientus-sdk-c (0.0.2-0trusty) trusty; urgency=high

  * Fixed include directory name and install
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Sun, 02 Nov 2014 04:00:00 -0000

ros-indigo-orientus-sdk-c (0.0.1-0trusty) trusty; urgency=high

  * Added acceleration packet decoder
  * initial commit of the Orientus SDK from version 1.1
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Sat, 01 Nov 2014 04:00:00 -0000
